### File

`packages/ecl/components/ecl-category-filter/events/ecl-category-filter-item-select.event.ts`

### Description

Event emitted when a category filter item is selected.

### Extends

`EclBaseEvent`

### Index

###### Properties
Public item
###### Methods
preventDefault

### Constructor

`constructor(item: EclCategoryFilterItem)`
Creates an instance of EclCategoryFilterItemSelectEvent. Parameters :
Name | Type | Optional | Description
item | `EclCategoryFilterItem` | No | The category filter item that triggered the event.

### Properties

Public item
Type : `EclCategoryFilterItem`
The category filter item that triggered the event.

### Methods

preventDefault
`preventDefault()`
Returns : `void`

# results matching ""

# No results matching ""